有人觉得从源码安装 Git 更实用,因为你能得到最新的版本。 二进制安装程序倾向于有一些滞后,当然近几年 Git 已经成熟,这个差异不再显著。

如果你想从源码安装 Git,需要安装 Git 依赖的库:curl、zlib、openssl、expat,还有libiconv。 如果你的系统上有 yum (如 Fedora)或者 apt-get(如基于 Debian 的系统),可以使用以下命令之一来安装最小化的依赖包来编译和安装 Git 的二进制版:

sudo yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel
sudo apt-get install libcurl4-gnutls-dev libexpat1-dev gettext libz-dev libssl-dev

为了能够添加更多格式的文档(如 doc, html, info),你需要安装以下的依赖包:

sudo yum install asciidoc xmlto docbook2x
sudo apt-get install asciidoc xmlto docbook2x

当你安装好所有的必要依赖,你可以继续从几个地方来取得最新发布版本的 tar 包。 你可以从 Kernel.org 网站获取,网址为 https://www.kernel.org/pub/software/scm/git>,或从 GitHub 网站上的镜像来获得,网址为 。 通常在 GitHub 上的是最新版本,但 kernel.org 上包含有文件下载签名,如果你想验证下载正确性的话会用到。

接着,编译并安装:

https://mirrors.edge.kernel.org/pub/software/scm/git/git-2.21.0.tar.gz

tar -zxf git-2.0.0.tar.gz
cd git-2.0.0
make configure
./configure --prefix=/usr
make all doc info
sudo make install install-doc install-html install-info

完成后,你可以使用 Git 来获取 Git 的升级:

git clone git://git.kernel.org/pub/scm/git/git.git
echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/profile
如果是非root用户使用git,则需要配置下该用户下的环境变量
[app@uatjenkins01 ~]$ ``echo` `"export PATH=$PATH:/usr/local/git/bin"` `>> ~/.bashrc
[app@uatjenkins01 ~]$ ``source` `~/.bashrc
[app@uatjenkins01 ~]$ git --version
git version 2.15.1
最后修改:2021 年 01 月 20 日 10 : 03 AM